CVC4::StatisticsBase::iterator Class Reference

`#include <statistics.h>`

Inheritance diagram for CVC4::StatisticsBase::iterator:
[legend]
Collaboration diagram for CVC4::StatisticsBase::iterator:
[legend]

## Public Member Functions

| iterator ()
| iterator (const iterator &it)
value_type | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &i) const
bool | operator!= (const iterator &i) const

## Friends

class | StatisticsBase

## Detailed Description

Definition at line 61 of file statistics.h.

## Constructor & Destructor Documentation

## iterator() [1/2]

CVC4::StatisticsBase::iterator::iterator | ( |  | ) |

inline

Definition at line 69 of file statistics.h.

## iterator() [2/2]

CVC4::StatisticsBase::iterator::iterator | ( | const iterator & | it | ) |

inline

Definition at line 70 of file statistics.h.

## Member Function Documentation

## operator!=()

bool CVC4::StatisticsBase::iterator::operator!= | ( | const iterator & | i | ) | const

inline

Definition at line 75 of file statistics.h.

## operator*()

value_type CVC4::StatisticsBase::iterator::operator* | ( |  | ) | const

## operator++() [1/2]

iterator & CVC4::StatisticsBase::iterator::operator++ | ( |  | ) |

inline

Definition at line 72 of file statistics.h.

## operator++() [2/2]

iterator CVC4::StatisticsBase::iterator::operator++ | ( | int |  | ) |

inline

Definition at line 73 of file statistics.h.

## operator==()

bool CVC4::StatisticsBase::iterator::operator== | ( | const iterator & | i | ) | const

inline

Definition at line 74 of file statistics.h.

## Friends And Related Symbol Documentation

## StatisticsBase

friend class StatisticsBase

friend

Definition at line 66 of file statistics.h.

The documentation for this class was generated from the following file:

- src/util/statistics.h